Skip to content

Retrieve a ticket type

Request

You can fetch the details of a single ticket type.

Security
bearerAuth
Path
idstringrequired

The unique identifier for the ticket type which is given by Intercom.

Headers
Intercom-Versionstring(intercom_version)

Intercom API version.
By default, it's equal to the version set in the app package.

Default:"2.14"
Enum:"1.0""1.1""1.2""1.3""1.4""2.0""2.1""2.2""2.3""2.4"
Example:2.14
curl -i -X GET \
  'https://api.intercom.io/ticket_types/{id}' \
  -H 'Authorization: Bearer <YOUR_TOKEN_HERE>' \
  -H 'Intercom-Version: 2.14'

Responses

Ticket type found

Bodyapplication/json
typestring

String representing the object's type. Always has the value ticket_type.

Example:"ticket_type"
idstring

The id representing the ticket type.

Example:"1295"
categorystring

Category of the Ticket Type.

Enum:"Customer""Back-office""Tracker"
Example:"Customer"
namestring

The name of the ticket type

Example:"Bug"
descriptionstring

The description of the ticket type

Example:"A bug that has been reported."
iconstring

The icon of the ticket type

Example:"🐞"
workspace_idstring

The id of the workspace that the ticket type belongs to.

Example:"ecahpwf5"
ticket_type_attributesobject(Ticket Type Attributes)

A list of attributes associated with a given ticket type.

ticket_statesobject(Ticket States)

A list of ticket states associated with a given ticket type.

archivedboolean

Whether the ticket type is archived or not.

Example:false
created_atinteger, (timestamp)

The date and time the ticket type was created.

updated_atinteger, (timestamp)

The date and time the ticket type was last updated.

Response
{ "type": "ticket_type", "id": "72", "name": "Bug Report", "description": "Bug Report Template", "icon": "🎟️", "workspace_id": "this_is_an_id656_that_should_be_at_least_", "archived": false, "created_at": 1734537870, "updated_at": 1734537870, "is_internal": false, "ticket_type_attributes": { "type": "list", "data": [] }, "category": "Customer", "ticket_states": { "type": "list", "data": [] } }